---
title: Registered by ID
slug: apis/webhooks/cos-webhooks/events-formats-cos/webhook-management-cos/registered-by-id
description: GET webhooks/v1/registrations/{id} retrieves details of a specific webhook registration by its ID.
icon: {"apiMethod":"GET"}
docTags: 
createdAt: 2025-05-07T13:17:33.128Z
---

:::ApiMethodV2
```json
{
  "name": "Endpoint : /webhooks/v1/registrations/{id}",
  "method": "GET",
  "url": "https://sandbox.crbcos.com/webhooks/v1/registrations/{id}",
  "description": "Returns a webhook registration by ID",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "hCYPz7RkDPiRgqCZ3Y03q",
        "language": "curl",
        "code": "curl --location --globoff 'https://sandbox.crbcos.com/webhooks/v1/registrations/{id}?id=8d6115c0-2a88-4a58-b731-b306002e8bc2'",
        "customLabel": ""
      },
      {
        "id": "Ie4lrs8ar93iTTcwDi-qX",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'GET',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/webhooks/v1/registrations/{id}?id=8d6115c0-2a88-4a58-b731-b306002e8bc2',\n  'headers': {\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "M1AprY75Enlf2PdqCZEi6",
        "language": "python",
        "code": "import requests\n\nurl = \"https://sandbox.crbcos.com/webhooks/v1/registrations/{id}?id=8d6115c0-2a88-4a58-b731-b306002e8bc2\"\n\npayload = {}\nheaders = {}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "z80H18TaPMrbFv1NG1HX8",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/webhooks/v1/registrations/{id}?id=8d6115c0-2a88-4a58-b731-b306002e8bc2\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "rYxsgWYlULMKK5kOWMlgh",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/webhooks/v1/registrations/{id}?id=8d6115c0-2a88-4a58-b731-b306002e8bc2\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "hCYPz7RkDPiRgqCZ3Y03q"
  },
  "results": {
    "languages": [
      {
        "id": "uzc6vEDFILyge5Prtvvwe",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"id\": \"8d6115c0-2a88-4a58-b731-b306002e8bc2\",\n    \"partnerId\": \"19222b81-0e1e-452d-a842-b2f1011c16f3\",\n    \"eventName\": \"Cards.Card.Activated\",\n    \"callbackUrl\": \"https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04\",\n    \"consecutiveErrors\": 0,\n    \"status\": \"Active\",\n    \"type\": \"Push\",\n    \"format\": \"Extended\"\n}"
      }
    ],
    "selectedLanguageId": "uzc6vEDFILyge5Prtvvwe"
  },
  "request": {
    "pathParameters": [
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "The webhook registration ID. You receive this ID in the response when you register a webhook event. This ID is in GUID format.",
        "children": []
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "The webhook registration ID. You receive this ID in the response when you register a webhook event. This ID is in GUID format."
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": "Your unique ID in the Cross River system. This ID is in GUID format.",
      "children": []
    },
    {
      "name": "eventName",
      "kind": "optional",
      "type": "string",
      "description": "Webhook event being reported",
      "children": []
    },
    {
      "name": "callbackUrl",
      "kind": "optional",
      "type": "string",
      "description": "The value is a URL. Webhooks are reported to this URL as a result of a triggered action. Make sure the callback URL is added to . 255 character limit.'s allowlist. SSL required.",
      "children": []
    },
    {
      "name": "authUsername",
      "kind": "optional",
      "type": "string",
      "description": "Basic authentication username to include in header of event",
      "children": []
    },
    {
      "name": "authPassword",
      "kind": "optional",
      "type": "string",
      "description": "Basic authentication password to include in event header",
      "children": []
    },
    {
      "name": "consecutiveErrors",
      "kind": "optional",
      "type": "Integer",
      "description": "The number of consecutive errors",
      "children": []
    },
    {
      "name": "lastError",
      "kind": "optional",
      "type": "string",
      "description": "Description of the last error",
      "children": []
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "Status of registration:\n- Active\n- Suspended\n- Restarting",
      "children": []
    },
    {
      "name": "type",
      "kind": "optional",
      "type": "string",
      "description": "Type of registration:\n- Push\n- Poll\n- File",
      "children": []
    },
    {
      "name": "format",
      "kind": "optional",
      "type": "string",
      "description": "Event format:\n- Basic\n- Extended",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-webhooksv1registrationsid",
  "legacyHash": "Tpc5QB8tiGiTvSNTfmm_l"
}
```
:::

